part of spark_widget;

class SparkWrapper extends SparkFormWidget {
  const SparkWrapper({
    Key? key,
    required this.builder,
    required FormGroupItem manage,
  }) : super(key: key, manage: manage);

  final FormItemWrapperBuilder builder;

  @override
  State<StatefulWidget> createState() => _SparkWrapperBase();
}

class _SparkWrapperBase extends SparkFormWidgetBase<SparkWrapper, dynamic> {
  void _handleValueChange(dynamic value) {
    handleFormDataChange(value);
  }

  @override
  Widget build(BuildContext context) {
    return widget.builder(context, fieldData, _handleValueChange);
  }

  @override
  void valueChangeNotify() {
    if (!mounted) {
      return;
    }
    setState(() {});
  }
}
